Subject: bug#79441: [PATCH] Re: bug#79441: shell-resync-dirs breaks on PS1 with newline

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Sun, 14 Sep 2025 12:47:06 +0200

Eli Zaretskii writes:

>> From: Janneke Nieuwenhuizen <[email-masked]>
>> Cc: [email-masked]
>> Date: Sat, 13 Sep 2025 17:01:45 +0200
>> 
>> > Can you suggest how to solve this?
>> 
>> Good question!

[..]

>> Also, the nested while loops lateron with the concatenations suggest
>> that `shell-dirtrack-query' may not always return the needed directory
>> element as one string, but that it could be split up in parts that would
>> need to be concatenated?  Also, something that I didn't observe.
>
> Yes, these all can happen.  I think if you use "git log -L" to show
> changes in the relevant portions of the code, you will find bug
> reports that describe those cases.

Okay.  I did not attempt to simplify the code, just tried to address
the regression.

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com